﻿@model GoC.AppStatus.WebClient.Models.UserModel

<h2>@Localizer["Register User"]</h2>
<h3>@Localizer["User Details"]</h3>
<div id="registerUserForm" class="wb-frmvld">
    <form role="form" action="Register" method="post">
        @if (!ViewData.ModelState.IsValid)
        {
            <script>
                var element = document.getElementById("registerUserForm");
                element.classList.remove("wb-frmvld");
            </script>
            <partial name="~/Views/Shared/_InvalidModelState.cshtml" />
        }
        <div class="form-group">
            <label for="actualName" class="required">@Localizer["Full Name"]<strong class="required">&nbsp;(@Localizer["required"])</strong><br /><span style="font-size:100%" class="label label-danger" asp-validation-for="ActualName"></span></label>
            <input asp-for="ActualName" type="text" name="actualName" class="form-control" id="actualName" placeholder="@Localizer["Full Name"]" required="required" />

        </div>
        <div class="form-group">
            <label for="Email" class="required">@Localizer["Email"]<strong class="required">&nbsp;(@Localizer["required"])</strong><br /><span style="font-size:100%" class="label label-danger" asp-validation-for="Email"></span></label>
            <input asp-for="Email" type="email" name="Email" class="form-control" id="Email" placeholder="@Localizer["Email"]" required="required" />

        </div>
        <div class="form-group">
            <label for="password" class="required">@Localizer["Password"]<strong class="required">&nbsp;(@Localizer["required"])</strong><br /><span style="font-size:100%" class="label label-danger" asp-validation-for="Password"></span></label>
            <input type="password" name="password" class="form-control" id="password" placeholder="@Localizer["Password"]" required="required" data-rule-minlength="10" />

        </div>
        <div class="form-group">
            <label for="confirmPassword" class="required">@Localizer["Confirm Password"]<strong class="required">&nbsp;(@Localizer["required"])</strong><br /><span style="font-size:100%" class="label label-danger" asp-validation-for="ConfirmPassword"></span></label>
            <input type="password" name="confirmPassword" class="form-control" id="confirmPassword" placeholder="@Localizer["Confirm Password"]" data-rule-equalTo="#password" required="required" />
        </div>
        <div class="form-group">
            <button type="submit" class="btn btn-default">@Localizer["Register"]</button>
        </div>
    </form>
</div>
